Subject: Sysop Installation Guide

From: [email-masked] (Gary Morris)
Date: Sat, 19 Nov 1994 21:47:50 PST

Bob,
  I tried to keep track of the things I discovered that needed configuration
and I thought it might be useful to you (or other new installations) to have
my initial list.  Someday it would be nice to have an installation manual.
Anyway, here are the things that I found that needed doing as part of the
generate installation of the BBS.  Of course, there are other minor
things that I haven't listed, but this is a start.  It would have helped me
to have this in the beginning, so maybe it will help someone else in the
future.  These are not in any particular order, I just listed them as I 
remembered them, I didn't start this list until half of these things were
already done.
--GaryM

------------------------------------------

* Add port reservations in /etc/services (I think there are other ports used
  that I don't have a list of)

  ary_bbsd	44510/tcp		# for N0ARY BBS 
  ary_bidd	44514/tcp		# for N0ARY BBS
  ary_gated	44515/tcp		# for N0ARY BBS 
  ary_logd	44511/tcp		# for N0ARY BBS 
  ary_msgd	44518/tcp		# for N0ARY BBS 
  ary_userd	44516/tcp		# for N0ARY BBS 
  ary_wpd	44512/tcp		# for N0ARY BBS 

* Install and customize config files in /bbs/etc:

  -rw-r-----  1 bbs          1537 Oct 28 01:46 Group
  -rw-r-----  1 bbs          3113 Oct 28 07:37 HlocScript
  -rw-r-----  1 bbs           413 Nov  8 20:54 MOTD
  -rw-r-----  1 bbs           172 Oct 28 07:37 NoSubject
  -rw-r-----  1 bbs           371 Oct 28 07:37 Personal
  -rw-r-----  1 bbs            95 Oct 28 07:37 Reject
  -rw-r-----  1 bbs         11766 Nov  2 21:54 Route
  -rw-r-----  1 bbs          3863 Nov  2 21:55 Systems
  -rw-r-----  1 bbs          7528 Nov  2 12:55 Translate
  -rw-r-----  1 bbs          5515 Nov  9 10:58 config
  -rw-r-----  1 bbs         40530 Nov  2 21:57 gate.db

* Install the callbk directory tree in /bbs.

  cd /bbs
  tar xvf /dev/rst0 callbk		# read callbk directory from tape

* Install the executable files in /bbs/bin.

  cp build/bbs/dial/b_{dialin,dialinBS} build/bin
  cp build/bin/* /bbs/bin

* Install helpmsg.dat and helpmsg.idx in /bbs/etc.

  cp build/bbs/helpmsg/helpmsg.{dat,idx} /bbs/etc

* Create an empty file for the Event calendar (assuming you haven't changed
  Bbs_Event_Path and Bbs_Event_Dir in /bbs/etc/config):

  mkdir /bbs/event
  touch /bbs/event/EventDir

* Install entries in /etc/passwd for dialup logins:

  bbs::322:3:K6JCC BBS:/bbs/filesys:/bbs/bin/b_dialinBS
  bbsd::322:3:K6JCC BBS:/bbs/filesys:/bbs/bin/b_dialin
  sysop:nog80TER63OT.:322:3:K6JCC/BBS Sysop:/user/sysop:/bin/csh

  Logging in as "bbs" gets you BS character for a backspace key, whereas
  "bbsd" gets you the DEL character key for your backspace key.  I used
  "bbs" and "bbsd", because some novice users couldn't figure out why the
  backspace worked sometimes and sometimes it didn't (because sometimes
  he had CAPSLOCK and sometimes he didn't)

* Review the contents of the files /bbs/filesys/INFORMATION/* and update
  them where they are specific to the particular installation.

* Add lines to restart the bbs during system boot in /etc/rc.local:

  #
  # Start the N0ARY BBS daemons.
  #
  if [ -f /bbs/bin/b_bbsd ]; then
    su sysop /bbs/bin/b_bbsd /bbs/etc/config; echo "N0ARY bbs daemon started"
  fi

* Add your own sysop account to the bbs and make it SYSOP.

* Add your bbs account and make it SYSOP, BBS, IMMUNE, etc.

* Add a GATEWY account to the bbs and make it IMMUNE, BBS, 

* On the BBS machine I added the following to make [email-masked]
  automatically send back a reply message:

  # for auto-replies to requests for gateway info
  /etc/aliases:
    gateway_info: "| /usr/local/adm/gateway_info"
    gateway-info: gateway_info

  (/usr/local/adm/gateway_info is a csh script but is too long to
   include here)

  cp INFO /bbs/filesys/GATEWAY/.
  cp gateway_info /usr/local/adm/.
  chown root /usr/local/adm/gateway_info
  chmod u+s  /usr/local/adm/gateway_info

* /bbs/spool must be writable by the user "uucpadm", since sendmail runs
  as uucpadm 
  when delivering mail to the bbs.  Instead of making /bbs/spool 777 (which
  would be a security problem), I made it 770, owned by bbs and group "comm",
  both bbs and uucpadm are in group comm.  This may not be the best solution.

* Customize the code in build/bbs/dial/dialin.c to recognize the particular
  ports on your system, ie, on my system ttya, ttyb and tty0d are console
  and phone ports:

  struct Names {
	  char *txt, *port;
  } names[] = {
  #if 0
	  { "vt100", "PHONE0" },
	  { "vt220", "PHONE1" },
  #else
	  /* terminal setup for K6JCC BBS */
	  { "/dev/ttya", "CONSOLE" },
	  { "/dev/ttyb", "PHONE0" },
	  { "/dev/tty0d", "PHONE1" },
  #endif
	  { NULL, "CONSOLE" }};